OPENRCT2(6)

NAME
openrct2 - open source re-implementation of “RollerCoaster Tycoon 2”.

SYNOPSIS
openrct2 [-h | --help] [-v | --version] [--verbose]
openrct2 [uri]
openrct2 edit [uri]
openrct2 intro

openrct2 host uri [--address address] [--port port] [--password password] [--headless]
openrct2 join hostname [--port port] [--password password]

openrct2 set-rct2 path
openrct2 convert source destination
openrct2 scan-objects path
openrct2 handle-uri openrct2://.../

openrct2 screenshot file output_image width height [x y zoom rotation] [options]
openrct2 screenshot file output_image giant zoom rotation [options]

openrct2 sprite append spritefile input [x_offset y_offset] [options]
openrct2 sprite build spritefile json_path [silent] [options]
openrct2 sprite create spritefile [options]
openrct2 sprite details spritefile [idx] [options]
openrct2 sprite export spritefile idx output [options]
openrct2 sprite exportall spritefile output_directory [options]
openrct2 sprite exportalldat dat_identifier output_directory [options]

openrct2 benchgfx parkfile ticks
openrct2 benchspritesort [file] [options]
openrct2 benchsimulate [file] [options]
openrct2 simulate parkfile ticks

DESCRIPTION
OpenRCT2 is an open-source re-implementation of RollerCoaster Tycoon 2 (RCT2). The gameplay revolves around building and maintaining an amusement park containing attractions, shops and facilities. The player must try to make a profit and maintain a good park reputation whilst keeping the guests happy. OpenRCT2 allows for both scenario and sandbox play. Scenarios require the player to complete a certain objective in a set time limit whilst sandbox allows the player to build a more flexible park with optionally no restrictions or finance.

RollerCoaster Tycoon 2 was originally written by Chris Sawyer in x86 assembly and is the sequel to RollerCoaster Tycoon. The engine was based on Transport Tycoon, an older game which also has an equivalent open-source project, OpenTTD. OpenRCT2 attempts to provide everything from RCT2 as well as many improvements and additional features, some of these include support for modern platforms, an improved interface, improved guest and staff AI, more editing tools, increased limits, and cooperative multiplayer. It also re-introduces mechanics from RollerCoaster Tycoon that were not present in RollerCoaster Tycoon 2. Some of those include; mountain tool in-game, the “have fun” objective, launched coasters (not passing-through the station) and several buttons on the toolbar.

OPTIONS

-h | --help
    Print a summary of all options to stdout and exit.

-v | --version
    Show version information and exit.

-n | --no-install
    Do not install scenario if passed.

-a | --all
    Show help for all commands.

--about
    Show information about openrct2.

--verbose
    Print diagnostic information to stdout.

--headless
    run openrct2 without a graphical window.

--port port
    Port to use for hosting or joining a server; if not specified, the default port of 11753 will be used.

--address address
    Address to bind to when hosting a server.

--password password
    Password needed to join the server.

--user-data-path path
    Path to the user data directory (containing config.ini)

--openrct2-data-path path
    Path to the OpenRCT2 data directory (containing languages)

--rct1-data-path path
    Path to the RollerCoaster Tycoon 1 data directory (containing data/csg1.dat)

--rct2-data-path path
    Path to the RollerCoaster Tycoon 2 data directory (containing data/g1.dat)

Options specific to screenshots:

--weather 0-6
    Weather to be used (0 = default, 1 = sunny, ..., 6 = thunder).

--no-peeps
    Hide peeps.

--no-sprites
    Hide all sprites (e.g. balloons, vehicles, guests).

--clear-grass
    Set all grass to be clear of weeds.

--mowed-grass
    Set all grass to be mowed.

--water-plants
    Water plants for the screenshot.

--fix-vandalism
    Fix vandalism for the screenshot.

--remove-litter
    Remove litter for the screenshot.

--tidy-up-park
    Clear grass, water plants, fix vandalism and remove litter.

--transparent
    Make the background transparent.

Options specific to sprite commands:

-m | --mode mode
    The type of sprite conversion (default, closest, or dithering).

Options specific to benchmark commands:

--benchmark_list_tests {true|false}

--benchmark_filter regex

--benchmark_min_time min_time

--benchmark_repetitions num_repetitions

--benchmark_report_aggregates_only {true|false}

--benchmark_format <console|json|csv>

--benchmark_out filename

--benchmark_out_format <json|console|csv>

--benchmark_color {auto|true|false}

--benchmark_counters_tabular {true|false}

--v verbosity

FILES
On UNIX systems, OpenRCT2 stores user configuration, data, and cache in $XDG_CONFIG_HOME/OpenRCT2, falling back to ~/.config/OpenRCT2 if XDG_CONFIG_HOME is not set in the environment.

NOTES
Playing OpenRCT2 requires original files of RollerCoaster Tycoon 2 to play. It can be bought at either Steam or GOG.com. If you have the original RollerCoaster Tycoon and its expansion packs, you can point OpenRCT2 to these in order to play the original scenarios.

OpenRCT2 allows custom scripts (also known as plug-ins) to be written and executed in the game providing additional behaviour on top of the vanilla experience. This can range from extra windows providing information about the park to entire new multiplayer game modes.

Version 0.4.0 of OpenRCT2 introduced a new park save format that allows for higher limits and more features than the original RollerCoaster Tycoon 2. Old .SV4 and .SV6 files will continue to work - forever. The only thing changed is that you can no longer save to .SV6, it will now be saved as .park.

EXAMPLES

openrct2 ./my_park.sv6
    Open a saved park.

openrct2 ./SnowyPark.sc6
    Install and open a scenario.

openrct2 ./ShuttleLoop.td6
    Install a track.

openrct2 https://example.org/files/ExamplePark.sv6
    Download and open a saved park.

openrct2 host ./my_park.sv6 --port 11753 --headless
    Run a headless server for a saved park.

SEE ALSO
openrct2-cli(6)

Official site: https://openrct2.io

GitHub: https://github.com/OpenRCT2/OpenRCT2